EasyRoutes API

Get imported stop

GET
/stops/imports/{id}

Fetch a single imported stop by ID. The ID can be the EasyRoutes id returned on import or the client-provided clientStopId.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from /authenticate

In: header

Path Parameters

id*string

The ID of the imported stop to fetch. You provide the EasyRoutes id returned on import or the client-provided clientStopId.

Response Body

application/json

application/json

curl -X GET "https://example.com/stops/imports/ist-123e4567-e89b-12d3-a456-426614174000"
{  "id": "ist-123e4567-e89b-12d3-a456-426614174000",  "clientStopId": "test-order-1234",  "address": {    "address1": "123 Main St",    "address2": "Apt 3B",    "city": "New York",    "provinceCode": "NY",    "countryCode": "US",    "zip": "10001"  },  "contact": {    "firstName": "John",    "lastName": "Doe",    "company": "Roundtrip Systems Inc",    "phone": "+14265551000",    "email": "john.doe@roundtrip.ai"  },  "coordinates": {    "latitude": 0.1,    "longitude": 0.1  },  "items": [    {      "name": "Bananas",      "quantity": 5,      "grams": 500,      "sku": "BANANA-001"    }  ],  "note": "Leave at door.",  "duration": "string",  "priority": 5,  "orderName": "#1234",  "importedAt": "2019-08-24T14:15:22Z",  "timeWindows": [    {      "start": {        "hours": 13,        "minutes": 37,        "seconds": 16      },      "end": {        "hours": 13,        "minutes": 37,        "seconds": 16      }    }  ],  "deliveryDate": {    "year": 2019,    "month": 11,    "day": 15  },  "attributes": [    {      "key": "delivery_date",      "value": "2025-12-16"    }  ],  "tags": [    "foo",    "bar"  ],  "tasks": [    {      "title": "Delivery checklist",      "type": "CHECKBOXES",      "items": [        {          "title": "Pick up package"        }      ],      "requiredToMarkStopAsDelivered": true,      "requiredToMarkStopAsAttempted": true    }  ],  "type": "DELIVERY",  "customSignatureDisclosure": "I acknowledge that I have received this delivery."}
{  "code": 0,  "message": "string",  "details": [    {      "@type": "string"    }  ]}